ListMembers
Note
End of support notice: Amazon Managed Blockchain will stop accepting new customers on October 29, 2026. Existing customers can continue using Amazon Managed Blockchain until September 29, 2027. After September 29, 2027 you will no longer be able to access Amazon Managed Blockchain. For more information, see Amazon Managed Blockchain availability change.
Returns a list of the members in a network and properties of their configurations.
Applies only to Hyperledger Fabric.
Request Syntax
GET /networks/networkId/members?isOwned=IsOwned&maxResults=MaxResults&name=Name&nextToken=NextToken&status=Status HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- IsOwned
-
An optional Boolean value. If provided, the request is limited either to members that the current AWS account owns (
true) or that other AWS accountsn own (false). If omitted, all members are listed. - MaxResults
-
The maximum number of members to return in the request.
Valid Range: Minimum value of 1. Maximum value of 20.
- Name
-
The optional name of the member to list.
- networkId
-
The unique identifier of the network for which to list members.
Length Constraints: Minimum length of 1. Maximum length of 32.
Required: Yes
- NextToken
-
The pagination token that indicates the next set of results to retrieve.
Length Constraints: Maximum length of 128.
- Status
-
An optional status specifier. If provided, only members currently in this status are listed.
Valid Values:
CREATING | AVAILABLE | CREATE_FAILED | UPDATING | DELETING | DELETED | INACCESSIBLE_ENCRYPTION_KEY
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"Members": [
{
"Arn": "string",
"CreationDate": "string",
"Description": "string",
"Id": "string",
"IsOwned": boolean,
"Name": "string",
"Status": "string"
}
],
"NextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- Members
-
An array of
MemberSummaryobjects. Each object contains details about a network member.Type: Array of MemberSummary objects
- NextToken
-
The pagination token that indicates the next set of results to retrieve.
Type: String
Length Constraints: Maximum length of 128.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServiceErrorException
-
The request processing has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- InvalidRequestException
-
The action or operation requested is invalid. Verify that the action is typed correctly.
HTTP Status Code: 400
- ThrottlingException
-
The request or operation couldn't be performed because a service is throttling requests. The most common source of throttling errors is creating resources that exceed your service limit for this resource type. Request a limit increase or delete unused resources if possible.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: